/* 
    Document   : EstilosDevoluciones
    Created on : 18-feb-2012, 12:22:45
    Author     : 702382
    Description:
        Purpose of the stylesheet follows.
*/

root { 
    display: block;
}

.CajaSuperior{
    -fx-background-color: lightgray; -fx-background-radius: 10; -fx-background-insets: 0,1,2,3,0; -fx-text-fill: #654b00; 
    -fx-font-weight: bold; -fx-font-size: 25px; -fx-padding: 10 20 10 20; -fx-alignment: center;
}

.CajaCenter{
    -fx-alignment: center;
}

.CajaTopCenter{
    -fx-alignment: top-center;
}

.CajaTopLeft{
    -fx-alignment: top-left;
}

.CajaCenterLeft{
    -fx-alignment: center-left;
}

.CajaCenterRight{
    -fx-alignment: center-right bottom-left;
}

.CajaDerechaGenerico2{
    -fx-alignment: center;
    -fx-background-image: url("Dev_fondo5.png");
}

.CajaDerechaGenerico1{
    -fx-alignment: center;
    
    -fx-text-fill: -fx-selection-bar-text;
    -fx-font: normal 15px verdana, arial, helvetica, sans-serif;
    -fx-text-fill: white;
    -fx-size: 25;
    
    -fx-background-color:
        linear-gradient(#e68400, #EE7D0C),
        linear-gradient(#f2ba44, #EE7D0C),
        linear-gradient(#efaa22, #EE7D0C),
        linear-gradient(#f8c202 2%, #EE7D0C 50%, #eea10b 100%); 
    
}

.CajaConBorde{
    -fx-border-color: E6E6E6;
    -fx-border-style: solid;
    -fx-border-width: 4;
    -fx-background-color: white; 
    -fx-border-radius: 10px;
    -fx-background-radius: 11px;
    -fx-alignment: top-center ;
}

.CajaFondoReimpresion1{
    -fx-alignment: center;
    -fx-background-image: url("Dev_fondo4.png");
    -fx-background-size: stretch;
    /*-fx-background-repeat: no-repeat;*/
}

.CajaFondoReimpresion2{
    -fx-alignment: center;
    -fx-background-image: url("Dev_fondo5.png");
    -fx-background-size: stretch;
    /*-fx-background-repeat: no-repeat;*/
}

.column-header, .table-view .filler, .table-view .column-drag-header {
    
      -fx-text-fill: -fx-selection-bar-text;
    -fx-font: normal 15px verdana, arial, helvetica, sans-serif;
    -fx-text-fill: white;
    -fx-size: 25;
    -fx-border-style: solid;
    -fx-border-color: transparent;
    -fx-table-header-border-color:transparent;
    -fx-table-header-border-color:transparent;
    -fx-border-insets: 0 1 1 0, 0 0 0 0;

    -fx-background-color:
        linear-gradient(#e68400, #EE7D0C),
        linear-gradient(#f2ba44, #EE7D0C),
        linear-gradient(#efaa22, #EE7D0C),
        linear-gradient(#f8c202 2%, #EE7D0C 50%, #eea10b 100%); 
    -fx-border-width: 0.083333em, 0.083333em;
    
}
.table-view:focused{
    
    -fx-border-color: lightblue;
    -fx-border-width: .15em;
}

.table-view{
    -fx-background-color: white;
    -fx-border-width: 0.083333em, 0.083333em;
    -fx-table-cell-border-color:transparent;
    -fx-table-cell-text-alignment: center;
}

.table-view .scroll-bar:vertical{

-fx-color:#f8c202;
}

.table-view .indexed-cell :selected {
    -fx-border-color: #f8c202;
    -fx-background-color: #f8c202;
}

.TextField{
    -fx-text-alignment: right;
    -fx-font: 24pt Verdana; 
    -fx-border-color: E6E6E6;
    -fx-border-style: solid;
    -fx-border-width: 4;
    -fx-background-color: white; 
    -fx-border-radius: 10px;
    -fx-background-radius: 11px;
    
}
.TextField:focused{
    
    -fx-border-color: F6802B; 
    
}
.TextField:hover{
 
    -fx-border-color: F6802B; 
    
}

.RadioButton{
    /*-fx-text-alignment: center-left;*/
    -fx-font: 20pt Verdana;
}

.RadioButton:selected{
    -fx-text-fill: red;
    
}

.CajaCabecera{
    -fx-alignment: center;
    -fx-background-image: url("Dev_fondo.png");
    -fx-background-size: stretch;
    /*-fx-background-repeat: no-repeat;*/
}



.CajaFondo4{
    -fx-alignment: center;
    -fx-background-image: url("Dev_fondo4.png");
    -fx-background-size: stretch;
    /*-fx-background-repeat: no-repeat;*/
}

.CajaFondo5{
    -fx-alignment: center;
    -fx-background-image: url("Dev_fondo5.png");
    -fx-background-size: stretch;
    /*-fx-background-repeat: no-repeat;*/
}
